﻿namespace CustomDependencyProperty.Views
{
    using System.Windows;
    using System.Windows.Controls;

    /// <summary>
    /// ConfigurationItem.xaml の相互作用ロジック
    /// </summary>
    public partial class ConfigurationItem : UserControl
    {
        public ConfigurationItem()
        {
            InitializeComponent();
        }

        public static readonly DependencyProperty TextProperty = DependencyProperty.Register("Text", typeof(string), typeof(ConfigurationItem), new FrameworkPropertyMetadata("設定項目"));
        public string Text
        {
            get { return (string)GetValue(TextProperty); }
            set { SetValue(TextProperty, value); }
        }

        public static readonly DependencyProperty ValueProperty = DependencyProperty.Register("Value", typeof(string), typeof(ConfigurationItem), new FrameworkPropertyMetadata(string.Empty, FrameworkPropertyMetadataOptions.BindsTwoWayByDefault));
        public string Value
        {
            get { return (string)GetValue(ValueProperty); }
            set { SetValue(ValueProperty, value); }
        }

        public static readonly DependencyProperty ContentWidthProperty = DependencyProperty.Register("ContentWidth", typeof(double), typeof(ConfigurationItem), new FrameworkPropertyMetadata(100.0));
        public double ContentWidth
        {
            get { return (double)GetValue(ContentWidthProperty); }
            set { SetValue(ContentWidthProperty, value); }
        }
    }
}
